Skip to main content
POST
/
api
/
v1
/
einvoice
/
sign
Sign Invoice
curl --request POST \
  --url https://test-api.pasca.co/api/v1/einvoice/sign \
  --header 'API-KEY: <api-key>' \
  --header 'API-SECRET: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_id": "{{BUSINESS_ID}}",
  "irn": "{{IRN}}",
  "issue_date": "2024-05-14",
  "invoice_type_code": "396",
  "document_currency_code": "NGN",
  "tax_currency_code": "NGN",
  "invoice_kind": "B2B",
  "invoice_delivery_period": {
    "start_date": "2024-06-14",
    "end_date": "2024-06-16"
  },
  "order_reference": "order REF IRN?",
  "billing_reference": [
    {
      "irn": "ITW001-E9E0C0D3-20240619",
      "issue_date": "2024-05-14"
    },
    {
      "irn": "ITW001-E9E0C0D3-20240619",
      "issue_date": "2024-05-14"
    }
  ],
  "dispatch_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "receipt_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "originator_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "contract_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "accounting_customer_party": {
    "party_name": "Test Accounting Customer Party",
    "tin": "83526544-2627",
    "email": "test_sender@pasca.co",
    "telephone": "+23480254099000",
    "business_description": "Sample business description",
    "postal_address": {
      "street_name": "32, owonikoko street",
      "city_name": "Gwarikpa",
      "postal_zone": "023401",
      "lga": "NG-AB-ANO",
      "state": "NG-AB",
      "country": "NG"
    }
  },
  "accounting_supplier_party": {
    "party_name": "Dangote Group",
    "tin": "33824622-7135",
    "email": "tobi@pasca.co",
    "telephone": "+2348168527167",
    "business_description": "This is the test supplier details",
    "postal_address": {
      "street_name": "32, owonikoko street",
      "city_name": "Gwarikpa",
      "postal_zone": "023401",
      "lga": "NG-AB-ANO",
      "state": "NG-AB",
      "country": "NG"
    }
  },
  "actual_delivery_date": "2024-05-14",
  "payment_means": [
    {
      "payment_means_code": "10",
      "payment_due_date": "2024-05-14"
    },
    {
      "payment_means_code": "43",
      "payment_due_date": "2024-05-14"
    }
  ],
  "payment_terms_note": "dummy payment terms note (will be encryted in storage)",
  "allowance_charge": [
    {
      "charge_indicator": true,
      "amount": 800.6
    },
    {
      "charge_indicator": false,
      "amount": 10
    }
  ],
  "tax_total": [
    {
      "tax_amount": 56.07,
      "tax_subtotal": [
        {
          "taxable_amount": 800,
          "tax_amount": 8,
          "tax_category": {
            "id": "LOCAL_SALES_TAX",
            "percent": 2.3
          }
        }
      ]
    }
  ],
  "legal_monetary_total": {
    "line_extension_amount": 340.5,
    "tax_exclusive_amount": 400,
    "tax_inclusive_amount": 430,
    "payable_amount": 1500000
  },
  "invoice_line": [
    {
      "hsn_code": "CC-001",
      "product_category": "Food and Beverages",
      "discount_rate": 2.01,
      "discount_amount": 3500,
      "fee_rate": 1.01,
      "fee_amount": 50,
      "invoiced_quantity": 15,
      "line_extension_amount": 30,
      "item": {
        "name": "Tomato Paste",
        "description": "Description of the tomato paste",
        "sellers_item_identification": "identified as spoon by the seller"
      },
      "price": {
        "price_amount": 1150,
        "base_quantity": 1,
        "price_unit": "NGN per 1"
      }
    },
    {
      "hsn_code": "CC-001",
      "product_category": "Food and Beverages",
      "discount_rate": 2.01,
      "discount_amount": 3500,
      "fee_rate": 1.01,
      "fee_amount": 50,
      "invoiced_quantity": 15,
      "line_extension_amount": 30,
      "item": {
        "name": "Milo and milk",
        "description": "This is a beverage category",
        "sellers_item_identification": "identified as shovel by the seller"
      },
      "price": {
        "price_amount": 9012,
        "base_quantity": 1,
        "price_unit": "NGN per 1"
      }
    }
  ]
}
'
{
  "status": true,
  "code": 200,
  "message": "Invoice signed successfully",
  "data": []
}
POST /api/v1/einvoice/sign

Request example

curl -X POST "{{BASE_URL}}/api/v1/einvoice/sign" \
  -H "API-KEY: <your_api_key>" \
  -H "API-SECRET: <your_api_secret>" \
  -H "Accept: application/json"
Request body:
{
  "business_id": "{{BUSINESS_ID}}",
  "irn": "{{IRN}}",
  "issue_date": "2024-05-14",
  "invoice_type_code": "396",
  "document_currency_code": "NGN",
  "tax_currency_code": "NGN",
  "invoice_kind": "B2B",
  "invoice_delivery_period": {
    "start_date": "2024-06-14",
    "end_date": "2024-06-16"
  },
  "order_reference": "order REF IRN?",
  "billing_reference": [
    {
      "irn": "ITW001-E9E0C0D3-20240619",
      "issue_date": "2024-05-14"
    },
    {
      "irn": "ITW001-E9E0C0D3-20240619",
      "issue_date": "2024-05-14"
    }
  ],
  "dispatch_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "receipt_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "originator_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "contract_document_reference": {
    "irn": "ITW001-E9E0C0D3-20240619",
    "issue_date": "2024-05-14"
  },
  "accounting_customer_party": {
    "party_name": "Test Accounting Customer Party",
    "tin": "83526544-2627",
    "email": "test_sender@pasca.co",
    "telephone": "+23480254099000",
    "business_description": "Sample business description",
    "postal_address": {
      "street_name": "32, owonikoko street",
      "city_name": "Gwarikpa",
      "postal_zone": "023401",
      "lga": "NG-AB-ANO",
      "state": "NG-AB",
      "country": "NG"
    }
  },
  "accounting_supplier_party": {
    "party_name": "Dangote Group",
    "tin": "33824622-7135",
    "email": "tobi@pasca.co",
    "telephone": "+2348168527167",
    "business_description": "This is the test supplier details",
    "postal_address": {
      "street_name": "32, owonikoko street",
      "city_name": "Gwarikpa",
      "postal_zone": "023401",
      "lga": "NG-AB-ANO",
      "state": "NG-AB",
      "country": "NG"
    }
  },
  "actual_delivery_date": "2024-05-14",
  "payment_means": [
    {
      "payment_means_code": "10",
      "payment_due_date": "2024-05-14"
    },
    {
      "payment_means_code": "43",
      "payment_due_date": "2024-05-14"
    }
  ],
  "payment_terms_note": "dummy payment terms note (will be encryted in storage)",
  "allowance_charge": [
    {
      "charge_indicator": true,
      "amount": 800.6
    },
    {
      "charge_indicator": false,
      "amount": 10
    }
  ],
  "tax_total": [
    {
      "tax_amount": 56.07,
      "tax_subtotal": [
        {
          "taxable_amount": 800,
          "tax_amount": 8,
          "tax_category": {
            "id": "LOCAL_SALES_TAX",
            "percent": 2.3
          }
        }
      ]
    }
  ],
  "legal_monetary_total": {
    "line_extension_amount": 340.5,
    "tax_exclusive_amount": 400,
    "tax_inclusive_amount": 430,
    "payable_amount": 1500000.0
  },
  "invoice_line": [
    {
      "hsn_code": "CC-001",
      "product_category": "Food and Beverages",
      "discount_rate": 2.01,
      "discount_amount": 3500,
      "fee_rate": 1.01,
      "fee_amount": 50,
      "invoiced_quantity": 15,
      "line_extension_amount": 30,
      "item": {
        "name": "Tomato Paste",
        "description": "Description of the tomato paste",
        "sellers_item_identification": "identified as spoon by the seller"
      },
      "price": {
        "price_amount": 1150,
        "base_quantity": 1,
        "price_unit": "NGN per 1"
      }
    },
    {
      "hsn_code": "CC-001",
      "product_category": "Food and Beverages",
      "discount_rate": 2.01,
      "discount_amount": 3500,
      "fee_rate": 1.01,
      "fee_amount": 50,
      "invoiced_quantity": 15,
      "line_extension_amount": 30,
      "item": {
        "name": "Milo and milk",
        "description": "This is a beverage category",
        "sellers_item_identification": "identified as shovel by the seller"
      },
      "price": {
        "price_amount": 9012,
        "base_quantity": 1,
        "price_unit": "NGN per 1"
      }
    }
  ]
}

Response examples

200
{
  "status": true,
  "code": 200,
  "message": "Invoice signed successfully",
  "data": []
}
400
{
  "status": false,
  "code": 400,
  "message": "IRN already exists.",
  "data": null,
  "error": [],
  "timestamp": "2025-09-23T11:09:04.747826Z"
}
401
{
  "status": false,
  "code": 401,
  "message": "Unauthorized",
  "data": null,
  "error": {
    "details": "invalid or missing API credentials"
  }
}

Authorizations

API-KEY
string
header
required
API-SECRET
string
header
required

Response

Sign Invoice (Success)